kr.co.hanwha.hifive.admin.admin.data

## Interface AdminDataSource

- All Superinterfaces:
    BaseDataSource
  All Known Implementing Classes:
    AdminDataRepostiory

      public interface AdminDataSource
      extends BaseDataSource

  Created by sanghoonkwon on 2018. 3. 12..

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getMemberDetail(android.content.Context context, int member_id, HanwhaNetworkCallback callback)`
    `void` | `requestResetPassword(android.content.Context context, int member_id, java.lang.String password, HanwhaNetworkCallback callback)`
    `void` | `requestResetSimplePassword(android.content.Context context, int member_id, HanwhaNetworkCallback callback)`

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseDataSource

      `clearData`

- - ### Method Detail

    - #### getMemberDetail

          void getMemberDetail(@NonNull
                               android.content.Context context,
                               @NonNull
                               int member_id,
                               @NonNull
                               HanwhaNetworkCallback callback)

    - #### requestResetPassword

          void requestResetPassword(@NonNull
                                    android.content.Context context,
                                    @NonNull
                                    int member_id,
                                    @NonNull
                                    java.lang.String password,
                                    @NonNull
                                    HanwhaNetworkCallback callback)

    - #### requestResetSimplePassword

          void requestResetSimplePassword(@NonNull
                                          android.content.Context context,
                                          @NonNull
                                          int member_id,
                                          @NonNull
                                          HanwhaNetworkCallback callback)